#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	ODBC
Summary:	DBD::ODBC - ODBC Driver for DBI
Summary(pl.UTF-8):	DBD::ODBC - sterownik DBI do ODBC
Name:		perl-DBD-ODBC
Version:	1.52
Release:	2
# GPL or Artistic as specified in perl README file
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5f4eadbbb7f1ac6e77ab92276ccae573
URL:		http://search.cpan.org/dist/DBD-ODBC/
BuildRequires:	perl-DBI >= 1.21
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	unixODBC-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::ODBC is DBD module interfacing the ODBC databases.

%description -l pl.UTF-8
DBD::ODBC jest modułem DBD komunikującym się z bazami danych z użyciem
ODBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
# pass PERL_MM_USE_DEFAULT to avoid threads warning prompt
PERL_MM_USE_DEFAULT=1 \
%{__perl} Makefile.PL \
	-o /usr \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tests:%{__make} test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/ODBC.pm
%{perl_vendorarch}/DBD/ODBC
%dir %{perl_vendorarch}/auto/DBD/ODBC
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/ODBC/ODBC.so
%{_mandir}/man3/DBD::ODBC.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-ODBC.git;a=log;h=auto/th/perl-DBD-ODBC-1.52-2

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 89de3db
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 85a3ee6
- updated to 1.52

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7c919d7
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 56a6bf6
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a06067c
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f202b25
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 87c5dbe
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 6b5a8be
- up to 1.43

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 412f26f
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9aa9ffc
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 081d6a6
- release 2

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 1a7abab
- updated to 1.23

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> a53c83b
- updated to 1.22

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 693d8b9
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f1992a9
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 45a8a83
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5fef356
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1b34a30
- converted to UTF-8

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> a2596ce
- updated to 1.13

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 65483d7
- formatting

